Overview
--------

Kernel Crash Dumps are produced when a kernel panic. This charm enables
the collection of such crash dumps on deployed units.

Usage
-----

Simply deploy the subordinate charm and add a relation with the service where
you want Kernel Crash Dumps collection enabled. It will do the proper
installation and configuration and reboot the service to add the required
kernel boot parameter.

This charm is only valid for the Trusty serie as it relies on the kdump
mechanism which is only available from Trusty onward.

Warning
-------

As outlined, this require a reboot of the unit in order to complete the 
configuration.

It is not possible to use this charm on LXC.  It will try to installs 
kexec-tools which will fail with the following error :

  INFO install /usr/sbin/grub-probe: error: failed to get canonical path of
  '/dev/mapper/ubuntu--vg-root'.

Use of grub on LXC is not possible.
